include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/kvoctrain/kvoctrain/kvt-core
  ${CMAKE_SOURCE_DIR}/kvoctrain/kvoctrain/docprop-dialogs
  ${CMAKE_BINARY_DIR}/kvoctrain/kvoctrain/common-dialogs
  ${CMAKE_BINARY_DIR}/kvoctrain/kvoctrain/docprop-dialogs
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### entrydlg (static)

tde_add_library( entrydlg STATIC_PIC AUTOMOC

  SOURCES
        FromToEntryPageForm.ui
        CommonEntryPageForm.ui
        AuxInfoEntryPageForm.ui
        TenseEntryPageForm.ui
        AdjEntryPageForm.ui
        MCEntryPageForm.ui
        PhoneticEntryPage.cpp
        FromToEntryPage.cpp
        CommonEntryPage.cpp
        AuxInfoEntryPage.cpp
        TenseEntryPage.cpp
        AdjEntryPage.cpp
        MCEntryPage.cpp
        EntryDlg.cpp
        MySpinBox.cpp
        blockall.cpp
        
   DEPENDENCIES
        commondlg-static
        docpropdlg-static
)
